curl --request POST \
--url https://api-sandbox.circle.com/v1/payouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"destination": {
"type": "fiat_address_book",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"amount": {
"amount": "95.50",
"currency": "USDC"
},
"quoteId": "66666666-7777-8888-9999-000000000000",
"useCase": "B2C",
"reasonForPayment": "PMT001",
"customerRefId": "order-9876",
"source": {
"type": "wallet",
"id": "1000000001"
},
"originatorMode": 0,
"travelRule": {
"ORIGINATOR_NAME": "Acme Corp",
"ORIGINATOR_ADDRESS": {
"STREET": "1 Main St",
"CITY": "New York",
"STATE_PROVINCE": "NY",
"POSTAL_CODE": "10001",
"COUNTRY": "US"
}
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/payouts"
payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"destination": {
"type": "fiat_address_book",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"amount": {
"amount": "95.50",
"currency": "USDC"
},
"quoteId": "66666666-7777-8888-9999-000000000000",
"useCase": "B2C",
"reasonForPayment": "PMT001",
"customerRefId": "order-9876",
"source": {
"type": "wallet",
"id": "1000000001"
},
"originatorMode": 0,
"travelRule": {
"ORIGINATOR_NAME": "Acme Corp",
"ORIGINATOR_ADDRESS": {
"STREET": "1 Main St",
"CITY": "New York",
"STATE_PROVINCE": "NY",
"POSTAL_CODE": "10001",
"COUNTRY": "US"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
destination: {type: 'fiat_address_book', id: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'},
amount: {amount: '95.50', currency: 'USDC'},
quoteId: '66666666-7777-8888-9999-000000000000',
useCase: 'B2C',
reasonForPayment: 'PMT001',
customerRefId: 'order-9876',
source: {type: 'wallet', id: '1000000001'},
originatorMode: 0,
travelRule: {
ORIGINATOR_NAME: 'Acme Corp',
ORIGINATOR_ADDRESS: {
STREET: '1 Main St',
CITY: 'New York',
STATE_PROVINCE: 'NY',
POSTAL_CODE: '10001',
COUNTRY: 'US'
}
}
})
};
fetch('https://api-sandbox.circle.com/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.circle.com/v1/payouts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotencyKey' => 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
'destination' => [
'type' => 'fiat_address_book',
'id' => 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'
],
'amount' => [
'amount' => '95.50',
'currency' => 'USDC'
],
'quoteId' => '66666666-7777-8888-9999-000000000000',
'useCase' => 'B2C',
'reasonForPayment' => 'PMT001',
'customerRefId' => 'order-9876',
'source' => [
'type' => 'wallet',
'id' => '1000000001'
],
'originatorMode' => 0,
'travelRule' => [
'ORIGINATOR_NAME' => 'Acme Corp',
'ORIGINATOR_ADDRESS' => [
'STREET' => '1 Main St',
'CITY' => 'New York',
'STATE_PROVINCE' => 'NY',
'POSTAL_CODE' => '10001',
'COUNTRY' => 'US'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.circle.com/v1/payouts"
payload := strings.NewReader("{\n \"idempotencyKey\": \"ba943ff1-ca16-49b2-ba55-1057e70ca5c7\",\n \"destination\": {\n \"type\": \"fiat_address_book\",\n \"id\": \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\"\n },\n \"amount\": {\n \"amount\": \"95.50\",\n \"currency\": \"USDC\"\n },\n \"quoteId\": \"66666666-7777-8888-9999-000000000000\",\n \"useCase\": \"B2C\",\n \"reasonForPayment\": \"PMT001\",\n \"customerRefId\": \"order-9876\",\n \"source\": {\n \"type\": \"wallet\",\n \"id\": \"1000000001\"\n },\n \"originatorMode\": 0,\n \"travelRule\": {\n \"ORIGINATOR_NAME\": \"Acme Corp\",\n \"ORIGINATOR_ADDRESS\": {\n \"STREET\": \"1 Main St\",\n \"CITY\": \"New York\",\n \"STATE_PROVINCE\": \"NY\",\n \"POSTAL_CODE\": \"10001\",\n \"COUNTRY\": \"US\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.circle.com/v1/payouts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotencyKey\": \"ba943ff1-ca16-49b2-ba55-1057e70ca5c7\",\n \"destination\": {\n \"type\": \"fiat_address_book\",\n \"id\": \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\"\n },\n \"amount\": {\n \"amount\": \"95.50\",\n \"currency\": \"USDC\"\n },\n \"quoteId\": \"66666666-7777-8888-9999-000000000000\",\n \"useCase\": \"B2C\",\n \"reasonForPayment\": \"PMT001\",\n \"customerRefId\": \"order-9876\",\n \"source\": {\n \"type\": \"wallet\",\n \"id\": \"1000000001\"\n },\n \"originatorMode\": 0,\n \"travelRule\": {\n \"ORIGINATOR_NAME\": \"Acme Corp\",\n \"ORIGINATOR_ADDRESS\": {\n \"STREET\": \"1 Main St\",\n \"CITY\": \"New York\",\n \"STATE_PROVINCE\": \"NY\",\n \"POSTAL_CODE\": \"10001\",\n \"COUNTRY\": \"US\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.circle.com/v1/payouts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotencyKey\": \"ba943ff1-ca16-49b2-ba55-1057e70ca5c7\",\n \"destination\": {\n \"type\": \"fiat_address_book\",\n \"id\": \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\"\n },\n \"amount\": {\n \"amount\": \"95.50\",\n \"currency\": \"USDC\"\n },\n \"quoteId\": \"66666666-7777-8888-9999-000000000000\",\n \"useCase\": \"B2C\",\n \"reasonForPayment\": \"PMT001\",\n \"customerRefId\": \"order-9876\",\n \"source\": {\n \"type\": \"wallet\",\n \"id\": \"1000000001\"\n },\n \"originatorMode\": 0,\n \"travelRule\": {\n \"ORIGINATOR_NAME\": \"Acme Corp\",\n \"ORIGINATOR_ADDRESS\": {\n \"STREET\": \"1 Main St\",\n \"CITY\": \"New York\",\n \"STATE_PROVINCE\": \"NY\",\n \"POSTAL_CODE\": \"10001\",\n \"COUNTRY\": \"US\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "f1e2d3c4-b5a6-7890-abcd-ef0987654321",
"sourceWalletId": "1000000001",
"destination": {
"type": "fiat_address_book",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"amount": {
"amount": "95.50",
"currency": "USDC"
},
"quoteId": "66666666-7777-8888-9999-000000000000",
"useCase": "B2C",
"reasonForPayment": "PMT001",
"customerRefId": "order-9876",
"status": "pending",
"createDate": "2026-08-12T00:10:00.000Z",
"updateDate": "2026-08-12T00:10:00.000Z"
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}Create a fiat payout
Create a fiat payout to a registered beneficiary. Set destination.type to
fiat_address_book and supply a locked quote from POST /v1/payouts/quotes. The
beneficiary must be in ACTIVE status.
This is the same POST /v1/payouts endpoint that creates stablecoin payouts. The
destination.type value selects the payout type. To track a fiat payout, call
GET /v1/payouts/{id} or subscribe to the payout state change webhook.
curl --request POST \
--url https://api-sandbox.circle.com/v1/payouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"destination": {
"type": "fiat_address_book",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"amount": {
"amount": "95.50",
"currency": "USDC"
},
"quoteId": "66666666-7777-8888-9999-000000000000",
"useCase": "B2C",
"reasonForPayment": "PMT001",
"customerRefId": "order-9876",
"source": {
"type": "wallet",
"id": "1000000001"
},
"originatorMode": 0,
"travelRule": {
"ORIGINATOR_NAME": "Acme Corp",
"ORIGINATOR_ADDRESS": {
"STREET": "1 Main St",
"CITY": "New York",
"STATE_PROVINCE": "NY",
"POSTAL_CODE": "10001",
"COUNTRY": "US"
}
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/payouts"
payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"destination": {
"type": "fiat_address_book",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"amount": {
"amount": "95.50",
"currency": "USDC"
},
"quoteId": "66666666-7777-8888-9999-000000000000",
"useCase": "B2C",
"reasonForPayment": "PMT001",
"customerRefId": "order-9876",
"source": {
"type": "wallet",
"id": "1000000001"
},
"originatorMode": 0,
"travelRule": {
"ORIGINATOR_NAME": "Acme Corp",
"ORIGINATOR_ADDRESS": {
"STREET": "1 Main St",
"CITY": "New York",
"STATE_PROVINCE": "NY",
"POSTAL_CODE": "10001",
"COUNTRY": "US"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
destination: {type: 'fiat_address_book', id: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'},
amount: {amount: '95.50', currency: 'USDC'},
quoteId: '66666666-7777-8888-9999-000000000000',
useCase: 'B2C',
reasonForPayment: 'PMT001',
customerRefId: 'order-9876',
source: {type: 'wallet', id: '1000000001'},
originatorMode: 0,
travelRule: {
ORIGINATOR_NAME: 'Acme Corp',
ORIGINATOR_ADDRESS: {
STREET: '1 Main St',
CITY: 'New York',
STATE_PROVINCE: 'NY',
POSTAL_CODE: '10001',
COUNTRY: 'US'
}
}
})
};
fetch('https://api-sandbox.circle.com/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.circle.com/v1/payouts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotencyKey' => 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
'destination' => [
'type' => 'fiat_address_book',
'id' => 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'
],
'amount' => [
'amount' => '95.50',
'currency' => 'USDC'
],
'quoteId' => '66666666-7777-8888-9999-000000000000',
'useCase' => 'B2C',
'reasonForPayment' => 'PMT001',
'customerRefId' => 'order-9876',
'source' => [
'type' => 'wallet',
'id' => '1000000001'
],
'originatorMode' => 0,
'travelRule' => [
'ORIGINATOR_NAME' => 'Acme Corp',
'ORIGINATOR_ADDRESS' => [
'STREET' => '1 Main St',
'CITY' => 'New York',
'STATE_PROVINCE' => 'NY',
'POSTAL_CODE' => '10001',
'COUNTRY' => 'US'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.circle.com/v1/payouts"
payload := strings.NewReader("{\n \"idempotencyKey\": \"ba943ff1-ca16-49b2-ba55-1057e70ca5c7\",\n \"destination\": {\n \"type\": \"fiat_address_book\",\n \"id\": \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\"\n },\n \"amount\": {\n \"amount\": \"95.50\",\n \"currency\": \"USDC\"\n },\n \"quoteId\": \"66666666-7777-8888-9999-000000000000\",\n \"useCase\": \"B2C\",\n \"reasonForPayment\": \"PMT001\",\n \"customerRefId\": \"order-9876\",\n \"source\": {\n \"type\": \"wallet\",\n \"id\": \"1000000001\"\n },\n \"originatorMode\": 0,\n \"travelRule\": {\n \"ORIGINATOR_NAME\": \"Acme Corp\",\n \"ORIGINATOR_ADDRESS\": {\n \"STREET\": \"1 Main St\",\n \"CITY\": \"New York\",\n \"STATE_PROVINCE\": \"NY\",\n \"POSTAL_CODE\": \"10001\",\n \"COUNTRY\": \"US\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.circle.com/v1/payouts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotencyKey\": \"ba943ff1-ca16-49b2-ba55-1057e70ca5c7\",\n \"destination\": {\n \"type\": \"fiat_address_book\",\n \"id\": \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\"\n },\n \"amount\": {\n \"amount\": \"95.50\",\n \"currency\": \"USDC\"\n },\n \"quoteId\": \"66666666-7777-8888-9999-000000000000\",\n \"useCase\": \"B2C\",\n \"reasonForPayment\": \"PMT001\",\n \"customerRefId\": \"order-9876\",\n \"source\": {\n \"type\": \"wallet\",\n \"id\": \"1000000001\"\n },\n \"originatorMode\": 0,\n \"travelRule\": {\n \"ORIGINATOR_NAME\": \"Acme Corp\",\n \"ORIGINATOR_ADDRESS\": {\n \"STREET\": \"1 Main St\",\n \"CITY\": \"New York\",\n \"STATE_PROVINCE\": \"NY\",\n \"POSTAL_CODE\": \"10001\",\n \"COUNTRY\": \"US\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.circle.com/v1/payouts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotencyKey\": \"ba943ff1-ca16-49b2-ba55-1057e70ca5c7\",\n \"destination\": {\n \"type\": \"fiat_address_book\",\n \"id\": \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\"\n },\n \"amount\": {\n \"amount\": \"95.50\",\n \"currency\": \"USDC\"\n },\n \"quoteId\": \"66666666-7777-8888-9999-000000000000\",\n \"useCase\": \"B2C\",\n \"reasonForPayment\": \"PMT001\",\n \"customerRefId\": \"order-9876\",\n \"source\": {\n \"type\": \"wallet\",\n \"id\": \"1000000001\"\n },\n \"originatorMode\": 0,\n \"travelRule\": {\n \"ORIGINATOR_NAME\": \"Acme Corp\",\n \"ORIGINATOR_ADDRESS\": {\n \"STREET\": \"1 Main St\",\n \"CITY\": \"New York\",\n \"STATE_PROVINCE\": \"NY\",\n \"POSTAL_CODE\": \"10001\",\n \"COUNTRY\": \"US\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "f1e2d3c4-b5a6-7890-abcd-ef0987654321",
"sourceWalletId": "1000000001",
"destination": {
"type": "fiat_address_book",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"amount": {
"amount": "95.50",
"currency": "USDC"
},
"quoteId": "66666666-7777-8888-9999-000000000000",
"useCase": "B2C",
"reasonForPayment": "PMT001",
"customerRefId": "order-9876",
"status": "pending",
"createDate": "2026-08-12T00:10:00.000Z",
"updateDate": "2026-08-12T00:10:00.000Z"
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}Authorizations
Body
For Managed Payments entities sending fiat payouts to a registered beneficiary.
Set destination.type to fiat_address_book and supply a locked quote from
POST /v1/payouts/quotes. The beneficiary must be in ACTIVE status.
Use case describing the originator and recipient relationship.
B2B— business originator, business recipient.B2C— business originator, individual recipient.C2B— individual originator, business recipient.C2C— individual originator, individual recipient.
B2B, B2C, C2B, C2C "B2C"
Payment reason code. See Crypto Payouts payment reason codes.
"PMT001"
Originator travel rule information. Required fields depend on originatorMode
and the destination corridor. Keys match the field names returned by
GET /v1/beneficiaries/requirements.
{
"ORIGINATOR_NAME": "Acme Corp",
"ORIGINATOR_ADDRESS": {
"STREET": "1 Main St",
"CITY": "New York",
"STATE_PROVINCE": "NY",
"POSTAL_CODE": "10001",
"COUNTRY": "US"
}
}
Was this page helpful?